Package net.shibboleth.idp.saml.audit.impl

# Class AbstractProxyRestrictionAuditExtractor<T>

java.lang.Object
net.shibboleth.idp.saml.audit.impl.AbstractProxyRestrictionAuditExtractor<T>

Type Parameters:
  `T` - type of field being extracted

All Implemented Interfaces:
  `Function<ProfileRequestContext,T>`

Direct Known Subclasses:
  `ProxyAudienceAuditExtractor`, `ProxyCountAuditExtractor`

public abstract class AbstractProxyRestrictionAuditExtractor<T> extends Object implements Function<ProfileRequestContext,T>
Base class for `Function` that returns content from the `ProxyRestriction` element.

Since:
  4.2.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Function<ProfileRequestContext,SAMLObject>`
`responseLookupStrategy`
Lookup strategy for message to read from.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractProxyRestrictionAuditExtractor(Function<ProfileRequestContext,SAMLObject> strategy)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`T`
`apply(ProfileRequestContext input)`
`protected abstract T`
`doApply(ProxyRestriction condition)`
Override point to do the extraction.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### responseLookupStrategy

@Nonnull private final Function<ProfileRequestContext,SAMLObject> responseLookupStrategy
Lookup strategy for message to read from.

## Constructor Details

### AbstractProxyRestrictionAuditExtractor

protected AbstractProxyRestrictionAuditExtractor(@Nonnull Function<ProfileRequestContext,SAMLObject> strategy)
Constructor.

Parameters:
  `strategy` - lookup strategy for message

## Method Details

### apply

@Nullable public T apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,T>`

### doApply

@Nullable protected abstract T doApply(@Nullable ProxyRestriction condition)
Override point to do the extraction.

Parameters:
  `condition` - the input object
Returns:
  the extracted value